### Method

# FwupdPlugin Device has_parent_backend_id

since: 1.9.7

#### Declaration [src]

    gboolean
    fu_device_has_parent_backend_id (
      FuDevice* self,
      const gchar* backend_id
    )

#### Description [src]

Searches the list of parent IDs for a string match.

Available since: 1.9.7

#### Parameters

`backend_id`

  Type: `const gchar*`

  A device physical ID.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `gboolean`

`TRUE` if the parent ID exists.